server {
	listen 80;
	server_name admin.photonbarrier.com;

	root /home/develop/git_projects/bbs-go/admin/dist;
	index index.html;

	client_body_temp_path /home/develop/nginx/client_body_temp/;
	client_max_body_size 200m;

	access_log /home/develop/nginx/logs/admin_photonbarrier_com/access.log main;
	error_log /home/develop/nginx/logs/admin_photonbarrier_com/error.log;

	location / {
		try_files $uri $uri/ /index.html;
	}

#	location  / {
#		proxy_pass http://0.0.0.0:8010;
#		proxy_pass https://docs.kernel.org;
#	}

	location ^~ /.well-known/acme-challenge/ {
		alias /home/develop/ssl/ssl_git_photonbarrier_com/;
		try_files $uri =404;
	}

#	rewrite ^(.*) https://git.photonbarrier.com permanent;
}

#server {
#	listen 443 ssl;
#	server_name git.photonbarrier.com;

#	ssl_certificate /home/develop/ssl/ssl_git_photonbarrier_com/chained.pem;
#	ssl_certificate_key /home/develop/ssl/ssl_git_photonbarrier_com/domain.key;
#	ssl_session_timeout 5m;
#	ssl_protocols TLSv1 TLSv1.1 TLSv1.2;
#	ssl_ciphers ECDHE-RSA-AES256-GCM-SHA384:ECDHE-RSA-AES128-GCM-SHA256:DHE-RSA-AES256-GCM-SHA384:ECDHE-RSA-AES256-SHA384:ECDHE-RSA-AES128-SHA256:ECDHE-RSA-AES256-SHA:ECDHE-RSA-AES128-SHA:DHE-RSA-AES256-SHA:DHE-RSA-AES128-SHA;
#	ssl_session_cache shared:SSL:50m;
#	ssl_prefer_server_ciphers on;

#	client_body_temp_path /home/develop/nginx/client_body_temp/;
#	client_max_body_size 200m;

#	access_log /home/develop/nginx/logs/git_photonbarrier_com/access.log main;
#	error_log /home/develop/nginx/logs/git_photonbarrier_com/error.log;

#	location  / {
#		proxy_pass https://github.com;
#	}
#}
